SpamageMeters = LibStub("AceAddon-3.0"):NewAddon("SpamageMeters", "AceConsole-3.0", "AceEvent-3.0")
local L = LibStub("AceLocale-3.0"):GetLocale("SpamageMeters")

function SpamageMeters:OnInitialize()
	-- Called when the addon is loaded
	self.db = LibStub("AceDB-3.0"):New("SpamageMetersDB", defaults, "Default")

	LibStub("AceConfig-3.0"):RegisterOptionsTable("SpamageMeters", options)
	self.optionsFrame = LibStub("AceConfigDialog-3.0"):AddToBlizOptions("SpamageMeters", "SpamageMeters")
	self:RegisterChatCommand("sm", "ChatCommand")
	self:RegisterChatCommand("spamagemeters", "ChatCommand")
end

function SpamageMeters:OnEnable()
	-- Called when the addon is enabled
	self:RegisterEvent("CHAT_MSG_CHANNEL")	-- Event for channel messages
	self:RegisterEvent("CHAT_MSG_GUILD")	-- Event for guild chat messages
	self:RegisterEvent("CHAT_MSG_OFFICER")	-- Event for officer chat messages	
	self:RegisterEvent("CHAT_MSG_PARTY")	-- Event for party chat messages
	self:RegisterEvent("CHAT_MSG_RAID")	-- Event for raid chat messages
	self:RegisterEvent("CHAT_MSG_SAY")	-- Event for say chat messages
	self:RegisterEvent("CHAT_MSG_WHISPER")	-- Event for whisper chat messages
	self:RegisterEvent("CHAT_MSG_YELL")	-- Event for yell chat messages
end

function SpamageMeters:OnDisable()
	-- Called when the addon is disabled

end